﻿using CoreModels.Tools;
using ModuleTools.Attributes;
using System;

namespace CoreModels.ModelsDepartment
{
    [EntityDescription("Employee", "Сотрудника кафедры")]
    [EntityDependency("User", "UserId", "К какому пользователю относится сотрудник")]
    public interface IEmployeeModel : IId
    {
        Guid UserId { get; }

        string FirstName { get; }

        string LastName { get; }

        string Patronymic { get; }

        [CheckRigthForMap]
        DateTime DateBirth { get; }

        [CheckRigthForMap]
        string Address { get; }

        [CheckRigthForMap]
        string Email { get; }

        [CheckRigthForMap]
        string MobileNumber { get; }

        [CheckRigthForMap]
        string HomeNumber { get; }

        string Description { get; }

        byte[] Photo { get; }

        string GroupElectricalSafety { get; }
    }
}