﻿using CoreModels.Tools;
using ModuleTools.Attributes;
using System;

namespace CoreModels.ModelsSecurity
{
    /// <summary>
    /// Модель, описывающиая пользователя системы
    /// </summary>
    [EntityDescription("User", "Пользователи системы")]
    public interface IUserModel : IId
    {
        string UserName { get; }

        [CheckRigthForMap]
        string PasswordHash { get; }

        byte[] Avatar { get; }

        DateTime? DateLastVisit { get; }

        [CheckRigthForMap]
        bool IsBanned { get; }

        [CheckRigthForMap]
        DateTime? DateBanned { get; }

        [CheckRigthForMap]
        int CountAttempt { get; }
    }
}