﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace DatabaseCore.Migrations
{
    public partial class AddStudentGroups : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_AcademicPlanRecordTimeNormHours_TimeNorms_TimeNormId",
                table: "AcademicPlanRecordTimeNormHours");

            migrationBuilder.CreateTable(
                name: "StudentGroups",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    AcademicPlanId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    GroupNumber = table.Column<int>(type: "int", nullable: false),
                    EnrollmentYear = table.Column<int>(type: "int", nullable: false),
                    LecturerId = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    DateCreate = table.Column<DateTime>(type: "datetime2", nullable: false),
                    DateDelete = table.Column<DateTime>(type: "datetime2", nullable: true),
                    IsDeleted = table.Column<bool>(type: "bit", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_StudentGroups", x => x.Id);
                    table.ForeignKey(
                        name: "FK_StudentGroups_AcademicPlans_AcademicPlanId",
                        column: x => x.AcademicPlanId,
                        principalTable: "AcademicPlans",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_StudentGroups_Lecturers_LecturerId",
                        column: x => x.LecturerId,
                        principalTable: "Lecturers",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Restrict);
                });

            migrationBuilder.CreateIndex(
                name: "IX_StudentGroups_AcademicPlanId_EnrollmentYear_GroupNumber",
                table: "StudentGroups",
                columns: new[] { "AcademicPlanId", "EnrollmentYear", "GroupNumber" },
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_StudentGroups_LecturerId",
                table: "StudentGroups",
                column: "LecturerId");

            migrationBuilder.AddForeignKey(
                name: "FK_AcademicPlanRecordTimeNormHours_TimeNorms_TimeNormId",
                table: "AcademicPlanRecordTimeNormHours",
                column: "TimeNormId",
                principalTable: "TimeNorms",
                principalColumn: "Id",
                onDelete: ReferentialAction.NoAction);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_AcademicPlanRecordTimeNormHours_TimeNorms_TimeNormId",
                table: "AcademicPlanRecordTimeNormHours");

            migrationBuilder.DropTable(
                name: "StudentGroups");

            migrationBuilder.AddForeignKey(
                name: "FK_AcademicPlanRecordTimeNormHours_TimeNorms_TimeNormId",
                table: "AcademicPlanRecordTimeNormHours",
                column: "TimeNormId",
                principalTable: "TimeNorms",
                principalColumn: "Id");
        }
    }
}
