﻿using CoreModels.ModelsDepartment;
using ModuleTools.Interfaces;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Department
{
    [DataContract]
	public class AcademicPlan : BaseEntity, IEntitySecurityExtenstion<AcademicPlan>, IAcademicPlanModel
	{
        [DataMember]
		public Guid? EducationDirectionId { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		public int YearEntrance { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		public int YearFinish { get; set; }

		//-------------------------------------------------------------------------

		public virtual EducationDirection EducationDirection { get; set; }

		//-------------------------------------------------------------------------

		[ForeignKey("AcademicPlanId")]
		public virtual List<AcademicPlanRecord> AcademicPlanRecords { get; set; }

		//-------------------------------------------------------------------------

		public AcademicPlan SecurityCheck(AcademicPlan entity, bool allowFullData) => entity;

		public override string ToString() => $"{EducationDirection?.ShortName}({EducationDirection?.Profile}): {YearEntrance}-{YearFinish}";
	}
}