﻿using CoreModels.Enums.Department;
using CoreModels.ModelsDepartment;
using ModuleTools.Interfaces;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Department
{
    [DataContract]
	public class AcademicPlanRecord : BaseEntity, IEntitySecurityExtenstion<AcademicPlanRecord>, IAcademicPlanRecordModel
	{
		[DataMember]
		[Required(ErrorMessage = "required")]
		public Guid AcademicPlanId { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		public Guid DisciplineId { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		public bool InDepartment { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		public Semester Semester { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		public int Zet { get; set; }

		[DataMember]
		public Guid? AcademicPlanRecordParentId { get; set; }

		[DataMember]
		public bool IsParent { get; set; }

		[DataMember]
		public bool IsFacultative { get; set; }

		//-------------------------------------------------------------------------

		public virtual AcademicPlan AcademicPlan { get; set; }

		public virtual Discipline Discipline { get; set; }

		//-------------------------------------------------------------------------

		[ForeignKey("AcademicPlanRecordId")]
		public virtual List<AcademicPlanRecordTimeNormHour> AcademicPlanRecordTimeNormHours { get; set; }

		//-------------------------------------------------------------------------

		public AcademicPlanRecord SecurityCheck(AcademicPlanRecord entity, bool allowFullData) => entity;

		public override string ToString() => $"{Discipline} - {Semester + 1} семестр";
	}
}