﻿using CoreModels.ModelsDepartment;
using DatabaseCore.Models.Security;
using ModuleTools.Extensions;
using ModuleTools.Interfaces;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Department
{
    [DataContract]
    public class Employee : BaseEntity, IEntitySecurityExtenstion<Employee>, IEmployeeModel
    {
        [DataMember]
        public Guid UserId { get; set; }

        [DataMember]
        public string FirstName { get; set; }

        [DataMember]
        public string LastName { get; set; }

        [DataMember]
        public string Patronymic { get; set; }

        [DataMember]
        public DateTime DateBirth { get; set; }

        [DataMember]
        public string Address { get; set; }

        [DataMember]
        public string Email { get; set; }

        [DataMember]
        public string MobileNumber { get; set; }

        [DataMember]
        public string HomeNumber { get; set; }

        [DataMember]
        public string Description { get; set; }

        [DataMember]
        public byte[] Photo { get; set; }

        [DataMember]
        public string GroupElectricalSafety { get; set; }

        //-------------------------------------------------------------------------

        public virtual User User { get; set; }

        //-------------------------------------------------------------------------

        [ForeignKey("EmployeeId")]
        public virtual List<EmployeePost> EmployeePosts { get; set; }

        [ForeignKey("EmployeeId")]
        public virtual List<Classroom> Classrooms { get; set; }

        //-------------------------------------------------------------------------

        public Employee SecurityCheck(Employee entity, bool allowFullData)
        {
            if (!allowFullData)
            {
                entity.DateBirth = DateTime.Now;
                entity.Address = "скрыто";
                entity.Email = "скрыто";
                entity.MobileNumber = "скрыто";
                entity.HomeNumber = "скрыто";
                entity.Photo = null;
            }

            return entity;
        }

        public override string ToString() =>
            $"{LastName}{(FirstName.IsNotEmpty() ? $" {FirstName[0]}." : string.Empty)}{(Patronymic.IsNotEmpty() ? $"{Patronymic[0]}." : string.Empty)}";
    }
}
