﻿using CoreModels.ModelsDepartment;
using ModuleTools.Interfaces;
using System;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Department
{
    [DataContract]
	public class LecturerPost : BaseEntity, IEntitySecurityExtenstion<LecturerPost>, ILecturerPostModel
	{
		[DataMember]
		[Required]
		public Guid LecturerId { get; set; }

		[DataMember]
		[Required]
		public Guid PostId { get; set; }

		[DataMember]
		[Required]
		public decimal Rate { get; set; }

		[DataMember]
		public bool IsInternalCombination { get; set; }

		[DataMember]
		public bool IsExternalCombination { get; set; }

		//-------------------------------------------------------------------------

		public virtual Post Post { get; set; }

		public virtual Lecturer Lecturer { get; set; }

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		public LecturerPost SecurityCheck(LecturerPost entity, bool allowFullData) => entity;

		public override string ToString() => $"{Lecturer}-{Post}";
	}
}