﻿using ModuleTools.Attributes;
using ModuleTools.Interfaces;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Department
{
	/// <summary>
	/// Класс, описывающий приказ
	/// </summary>
	[DataContract]
	[EntityDescription("Order", "Приказ")]
	public class Order : BaseEntity, IEntitySecurityExtenstion<Order>
	{
		[DataMember]
		[Required(ErrorMessage = "required")]
		[MapConfiguration("OrderNumber")]
		public string OrderNumber { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		[MapConfiguration("OrderDate")]
		public DateTime OrderDate { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		[MapConfiguration("OrderType")]
		public int OrderType { get; set; }

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		[ForeignKey("OrderId")]
		public virtual List<OrderStudentRecord> OrderStudentRecords { get; set; }

		//-------------------------------------------------------------------------

		public Order SecurityCheck(Order entity, bool allowFullData) => entity;

		public override string ToString() => $"№{OrderNumber} от {OrderDate.ToShortDateString()}";
	}
}