﻿using CoreModels.ModelsSecurity;
using ModuleTools.Enums;
using ModuleTools.Interfaces;
using System;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Security
{
    [DataContract]
    public class Access : BaseEntity, IEntitySecurityExtenstion<Access>, IAccessModel
    {
        [DataMember]
        [Required]
        public Guid RoleId { get; set; }

        [DataMember]
        [Required]
        public AccessOperation AccessOperation { get; set; }

        [DataMember]
        [Required]
        public AccessType AccessType { get; set; }

        //-------------------------------------------------------------------------

        public virtual Role Role { get; set; }

        //-------------------------------------------------------------------------

        //-------------------------------------------------------------------------

        public Access SecurityCheck(Access entity, bool allowFullData)
		{
            if (!allowFullData)
			{
                entity.AccessType = AccessType.View;
			}
            return entity;
        }

        public override string ToString() => $"{Role.RoleName}-{AccessOperation:G}({AccessType:G})";
    }
}