﻿using CoreModels.ModelsSecurity;
using DatabaseCore.Models.Department;
using ModuleTools.Attributes;
using ModuleTools.Interfaces;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace DatabaseCore.Models.Security
{
	[DataContract]
    public class User : BaseEntity, IEntitySecurityExtenstion<User>, IUserModel
    {
        [DataMember]
        [Required]
        public string UserName { get; set; }

        [DataMember]
        [Required]
        public string PasswordHash { get; set; }

        [DataMember]
        public byte[] Avatar { get; set; }

        [DataMember]
        public DateTime? DateLastVisit { get; set; }

        [DataMember]
        public bool IsBanned { get; set; }

        [DataMember]
        public DateTime? DateBanned { get; set; }

        [DataMember]
        public int CountAttempt { get; set; }

        //-------------------------------------------------------------------------

        //-------------------------------------------------------------------------

        [ForeignKey("UserId")]
        public virtual List<UserRole> UserRoles { get; set; }

        [ForeignKey("UserId")]
        public virtual List<Employee> Employees { get; set; }

        [ForeignKey("UserId")]
        public virtual List<Lecturer> Lecturers { get; set; }

        [ForeignKey("UserId")]
        public virtual List<Student> Students { get; set; }

        //-------------------------------------------------------------------------

        public User SecurityCheck(User entity, bool allowFullData)
		{
			if (!allowFullData)
			{
                entity.PasswordHash = SecurityManager.GetPasswordHash("qwerty");
                entity.Avatar = null;
                entity.IsBanned = false;
                entity.DateBanned = null;
                entity.CountAttempt = 0;
                entity.DateLastVisit = null;
            }

            return entity;
		}

        public override string ToString() => UserName;
    }
}