﻿using System;

namespace DesktopTools.Interfaces
{
	/// <summary>
	/// Методы для работы с контролом при выборе элемента из списка
	/// </summary>
	public interface IControlEntitySelectable : IControl
	{
		/// <summary>
		/// Идентификатор выбранной записи
		/// </summary>
		Guid? SelectedId { get; }

		/// <summary>
		/// Название выбранной записи
		/// </summary>
		string SelectedText { get; }

		/// <summary>
		/// Получение имене элемента по иденификатору
		/// </summary>
		/// <param name="id"></param>
		/// <returns></returns>
		string GetTitleFromId(Guid id);
	}
}