﻿using System;

namespace ModuleTools.Attributes
{
	/// <summary>
	/// Настройка контрола отображения объекта класса (требуется для автоматизации вывода элемента, 
	/// применяется к классам ElementViewModel)
	/// </summary>
	[AttributeUsage(AttributeTargets.Class)]
	public class ViewModelControlElementClassAttribute : Attribute
	{
		/// <summary>
		/// Ширина контрола
		/// </summary>
		public int Width { get; set; } = 0;

		/// <summary>
		/// Высота контрола
		/// </summary>
		public int Height { get; set; } = 0;

		/// <summary>
		/// Имеются зависимые от него сущности, при выводе использовать tabControl
		/// </summary>
		public bool HaveDependenceEntities { get; set; } = false;
	}
}