﻿using ModuleTools.BindingModels;
using ModuleTools.Enums;

namespace ModuleTools.Models
{
	/// <summary>
	/// Данные для проверки доступа
	/// </summary>
	public class SecurityManagerCheckAccessModel
	{
		/// <summary>
		/// Данные по пользователю
		/// </summary>
		public AccessBindingModel Model { get; set; }

		/// <summary>
		/// Операция, которую хотят выполнить
		/// </summary>
		public AccessOperation Operation { get; set; }

		/// <summary>
		/// Тип операции
		/// </summary>
		public AccessType Type { get; set; }

		/// <summary>
		/// Для какой сущности
		/// </summary>
		public string Entity { get; set; }

		public SecurityManagerCheckAccessModel(AccessBindingModel model, AccessOperation operation, AccessType type, string entity)
		{
			Model = model;
			Operation = operation;
			Type = type;
			Entity = entity;
		}
	}
}