﻿using CoreModels.ModelsDepartment;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение дисциплины
    /// </summary>
    public class DisciplineGetBindingModel : GetBindingModel
    {
        /// <summary>
        /// Выбрка по блокам
        /// </summary>
        public Guid? DisciplineBlockId { get; set; }

        /// <summary>
        /// Поиск по названию
        /// </summary>
        public string DisciplineName { get; set; }
    }

    /// <summary>
    /// Сохранение дисциплины
    /// </summary>
    public class DisciplineSetBindingModel : SetBindingModel, IDisciplineModel
    {
        [Required(ErrorMessage = "required")]
        public Guid DisciplineBlockId { get; set; }

        [Required(ErrorMessage = "required")]
        public string DisciplineName { get; set; }

        [Required(ErrorMessage = "required")]
        public string DisciplineShortName { get; set; }

        public string Description { get; set; }

        public string DisciplineBlueAsteriskName { get; set; }

        /// <summary>
        /// Используется только в расчетах, не сохраняется
        /// </summary>
        public string DisciplineBlueAsteriskCode { get; set; }

        /// <summary>
        /// Используется только в расчетах, не сохраняется
        /// </summary>
        public string DisciplineBlueAsteriskPracticCode { get; set; }
    }
}