﻿using CoreModels.ModelsDepartment;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение связи сотрудника с должностью
    /// </summary>
    public class EmployeePostGetBindingModel : GetBindingModel
	{
		public Guid? EmployeeId { get; set; }

		public Guid? PostId { get; set; }
	}

	/// <summary>
	/// Сохранение связи сотрудника с должностью
	/// </summary>
	public class EmployeePostSetBindingModel : SetBindingModel, IEmployeePostModel
	{
		[Required(ErrorMessage = "required")]
		public Guid EmployeeId { get; set; }

		[Required(ErrorMessage = "required")]
		public Guid PostId { get; set; }

		[Required(ErrorMessage = "required")]
		public decimal Rate { get; set; }

		public bool IsInternalCombination { get; set; }

		public bool IsExternalCombination { get; set; }
	}
}