﻿using DepartmentBusinessLogic.Enums;
using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение приказа
	/// </summary>
	public class OrderGetBindingModel : GetBindingModel
	{
		public string OrderNumber { get; set; }

		public DateTime? OrderDate { get; set; }
	}

	/// <summary>
	/// Сохранение приказа
	/// </summary>
	public class OrderSetBindingModel : SetBindingModel
	{
		[Required(ErrorMessage = "required")]
		[MapConfiguration("OrderNumber")]
		public string OrderNumber { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("OrderDate")]
		public DateTime OrderDate { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("OrderType")]
		public OrderType OrderType { get; set; }
	}
}