﻿using DepartmentBusinessLogic.Enums;
using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение записи приказа по студенту
	/// </summary>
	public class OrderStudentRecordGetBindingModel : GetBindingModel
	{
		public Guid? OrderId { get; set; }

		public Guid? StudentId { get; set; }

		public Guid? StudentGroupId { get; set; }

		public OrderStudentMoveType? OrderStudentMoveType { get; set; }
	}

	/// <summary>
	/// Сохранение записи приказа по студенту
	/// </summary>
	public class OrderStudentRecordSetBindingModel : SetBindingModel
	{
		[Required(ErrorMessage = "required")]
		[MapConfiguration("OrderId")]
		public Guid OrderId { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("StudentId")]
		public Guid StudentId { get; set; }

		[MapConfiguration("StudentGroupFromId")]
		public Guid? StudentGroupFromId { get; set; }

		[MapConfiguration("StudentGroupToId")]
		public Guid? StudentGroupToId { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("OrderStudentMoveType")]
		public OrderStudentMoveType OrderStudentMoveType { get; set; }

		[MapConfiguration("Info")]
		public string Info { get; set; }
	}
}