﻿using CoreModels.ModelsDepartment;
using ModuleTools.Attributes;
using ModuleTools.Enums;
using ModuleTools.ViewModels;

namespace DepartmentBusinessLogic.ViewModels
{
    /// <summary>
    /// Список должностей преподавателей
    /// </summary>
    public class LecturerAcademicRankListViewModel : ListViewModel<LecturerAcademicRankViewModel> { }

	/// <summary>
	/// Элемент должности преподавателей
	/// </summary>
	[ViewModelControlElementClass(HaveDependenceEntities = true, Width = 800, Height = 500)]
	[ViewModelControlElementDependenceEntity(Title = "Преподаватели", Order = 1, ParentPropertyName = "LecturerAcademicRankId",
		ControlTypeObject = "DepartmentWindowsDesktop.EntityControls.ControlLecturerList, DepartmentWindowsDesktop")]
	public class LecturerAcademicRankViewModel : ElementViewModel, ILecturerAcademicRankModel
	{
		[ViewModelControlListProperty("Ученая степень")]
		[ViewModelControlElementProperty("Ученая степень", ControlType.ControlString, MustHaveValue = true)]
		public string LecturerAcademicRankName { get; set; }

		[ViewModelControlListProperty("Порядок", ColumnWidth = 100)]
		[ViewModelControlElementProperty("Порядок", ControlType.ControlInt, MustHaveValue = true)]
		public int Order { get; set; }
	}
}