﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using ModuleTools.Enums;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для списка записей приказов по студентам
	/// </summary>
	public partial class ControlOrderStudentRecordList :
		GenericControlEntityList<OrderStudentRecordGetBindingModel, OrderStudentRecordSetBindingModel, OrderStudentRecordListViewModel, OrderStudentRecordViewModel, OrderStudentRecordBusinessLogic>,
		IGenericControlEntityList
	{
		public ControlOrderStudentRecordList()
		{
			InitializeComponent();
			Title = "Приказы";
			ControlId = new Guid("1aa8cf1f-96b0-47aa-bd20-d1563d840534");
			AccessOperation = AccessOperation.Приказы;
			ControlViewEntityElement = new ControlOrderStudentRecordElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlOrderStudentRecordList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false
		};
	}
}