﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Enums;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using ModuleTools.Enums;
using System;
using System.Collections.Generic;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для списка учебных групп
	/// </summary>
	public partial class ControlStudentGroupList :
		GenericControlEntityList<StudentGroupGetBindingModel, StudentGroupSetBindingModel, StudentGroupListViewModel, StudentGroupViewModel, StudentGroupBusinessLogic>,
		IGenericControlEntityList
	{
		public ControlStudentGroupList()
		{
			InitializeComponent();
			Title = "Учебные группы";
			ControlId = new Guid("453666ff-511e-4751-887f-0fec5c1e95c8");
			AccessOperation = AccessOperation.УчебныеГруппы;
			ControlViewEntityElement = new ControlStudentGroupElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlStudentGroupList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}