﻿using CoreModels.ModelsSecurity;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace SecurityBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение общих настроек системы
    /// </summary>
    public class EnviromentSettingGetBindingModel : GetBindingModel
	{
		public string Key { get; set; }
	}

	/// <summary>
	/// Сохранение общих настроек системы
	/// </summary>
	public class EnviromentSettingSetBindingModel : SetBindingModel, IEnviromentSettingModel
	{
		[Required(ErrorMessage = "required")]
		public string Key { get; set; }

		[Required(ErrorMessage = "required")]
		public string Value { get; set; }

		[Required(ErrorMessage = "required")]
		public string Description { get; set; }
	}
}