﻿using ModuleTools.Models;
using SecurityBusinessLogic.BindingModels;

namespace SecurityBusinessLogic.Interfaces
{
	/// <summary>
	/// Сервис работы по выгрузке и загрузке данных
	/// </summary>
	public interface IBackupService
	{
		/// <summary>
		/// Создание бекапа с данными
		/// </summary>
		/// <param name="model"></param>
		/// <returns></returns>
		OperationResultModel CreateBackUp(BackupBindingModel model);

		/// <summary>
		/// Восстанволение данных через бекап
		/// </summary>
		/// <param name="model"></param>
		/// <returns></returns>
		OperationResultModel RestoreBackUp(BackupBindingModel model);
	}
}